Cannot install Package



  • Hi guys

    Just satrted to use my Onion and im having a problem. Im trying to install

    I Just need to install OpenVpn or a VPN client . But cant find any on OpenWrt

    • opkg install openvpn-openssl

    and it grabs the file but i keep getting Error mnessage of

    • opkg_install_cmd: Cannot install package openvpn

    Iv used -force and still not working

    Untitled.png

    Thanks you



  • try opkg update first...



  • @sadry-fievet @Barry-nacey Using opkg update won't fix this. opkg clearly knows about openvpn-openssl otherwise the message would be different.

    The message that @Barry-nacey is getting indicates that the kernel version that openvpn-openssl wants doesn't match that on the Omega

    One way to handle this is to override the dependency check by using the --force-depends option on opkg but this is generally not recommended in case there are incompatibilities between the package and the kernel version - this is not always the problem but it is difficult to check without knowing what the requirements of the package are in relation to kernel access.

    The best that I can suggest is asking the Omega people to produce an openvpn-openssl package that matches the Omega kernel version



  • Is OpenVPN on any list to be made functional for the Omega?



  • Is there any progress on openvpn on the Omega?
    I have recently received two Omega2+ and was looking to use openvpn, but the same problem still appears to exist


Log in to reply
 

Looks like your connection to Onion Community was lost, please wait while we try to reconnect.